api.version= *version-date*

# ===================================================================
# APPLICATION PROPERTIES
# ===================================================================
spring.main.banner-mode=off
server.port=7075
spring.application.name=dispatch-service
spring.cloud.discovery.enabled=false
spring.datasource.hikari.maximum-pool-size=2
# ===================================================================
# LOG PROPERTIES
# ===================================================================
logging.pattern.level='[%X{data}%thread] [%X{X-B3-TraceId:-}] - %5p'
logging.pattern.console=%p, %d{'yyyy-MM-dd HH:mm:ss,SSS',America/Mexico_City}, %C{1}:%M:%L, %X{mdc.uuid}, %m%n%ex{3}

# ===================================================================
# DATABASE CONNECTION.
# ===================================================================

#AZURE
spring.jpa.properties.hibernate.default_schema=cad
spring.datasource.url=jdbc:postgresql://${HOST-DB:104.154.38.175}:${PORT-DB:5432}/cadlite_qroo
spring.datasource.username=us_gcp_sdcw_qroo_prod
spring.datasource.password=L3ev29XFQk^y
spring.datasource.driver-class-name=org.postgresql.Driver
################### DESCOMENTAR SOLO CUANDO SE TENGA PERMISOS PARA ACCEDER A LA BD DE PRODUCC. ################################
#spring.jpa.properties.hibernate.default_schema=cco
#spring.datasource.url=jdbc:postgresql://${HOST-DB:psql-cadliteazcapotzalco-prod-southcentralus.postgres.database.azure.com}:${PORT-DB:5432}/cadliteazca
#spring.datasource.username=psqladmin@psql-cadliteazcapotzalco-prod-southcentralus
#spring.datasource.password=Psql@DL!t3202+00

# ===================================================================
# JPA CONFIGURATION.
# ===================================================================
spring.jpa.hibernate.ddl-auto=none
spring.jpa.hibernate.naming-strategy=org.hibernate.cfg.ImprovedNamingStrategy
spring.jpa.database-platform=org.hibernate.dialect.PostgreSQL9Dialect
spring.jpa.hibernate.naming.implicit-strategy=org.hibernate.boot.model.naming.ImplicitNamingStrategyLegacyJpaImpl
spring.jpa.hibernate.naming.physical-strategy=org.hibernate.boot.model.naming.PhysicalNamingStrategyStandardImpl
spring.jpa.properties.hibernate.temp.use_jdbc_metadata_defaults=false

#to show sql
spring.jpa.properties.hibernate.show_sql=true
#formatting
spring.jpa.properties.hibernate.format_sql=true

#################################################################
###################   MQ         ################################
#################################################################
spring.rabbitmq.host=${HOST-MQ:34.173.237.60}
spring.rabbitmq.port=${PORT-MQ:5672}

spring.rabbitmq.username=seguritech
spring.rabbitmq.password=sE9ur1t3cH@0
spring.rabbitmq.virtual-host=/cco_lite
spring.rabbitmq.dynamic=true
feign.hystrix.enabled=true

#################################################################
###################   EVENT STORE ###############################
#################################################################
spring.data.mongodb.uri=mongodb://${HOST-EVNTSTORE:20.185.223.213}:${PORT-EVNTSTORE:27017}/cco_events
spring.data.mongodb.repositories.type = none

feign.emergencies-service.name=incidents-service
feign.emergencies-service.url=127.0.0.1:7010/emergencies/emergencies

license.enable=false
license.url=http://localhost:8091